Package org.springframework.security.authentication.jaas

# Class JaasAuthenticationToken

java.lang.Object
org.springframework.security.authentication.AbstractAuthenticationToken
org.springframework.security.authentication.UsernamePasswordAuthenticationToken
org.springframework.security.authentication.jaas.JaasAuthenticationToken

All Implemented Interfaces:
  `Serializable`, `Principal`, `Authentication`, `CredentialsContainer`

public class JaasAuthenticationToken extends UsernamePasswordAuthenticationToken
UsernamePasswordAuthenticationToken extension to carry the Jaas LoginContext that the user was logged into

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JaasAuthenticationToken(Object principal, Object credentials, List<GrantedAuthority> authorities, LoginContext loginContext)`
`JaasAuthenticationToken(Object principal, Object credentials, LoginContext loginContext)`

## Method Summary

Modifier and Type
Method
Description
`LoginContext`
`getLoginContext()`

### Methods inherited from class org.springframework.security.authentication.UsernamePasswordAuthenticationToken

`authenticated, eraseCredentials, getCredentials, getPrincipal, setAuthenticated, unauthenticated`

### Methods inherited from class org.springframework.security.authentication.AbstractAuthenticationToken

`equals, getAuthorities, getDetails, getName, hashCode, isAuthenticated, setDetails, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

## Constructor Details

### JaasAuthenticationToken

public JaasAuthenticationToken(Object principal, Object credentials, LoginContext loginContext)

### JaasAuthenticationToken

public JaasAuthenticationToken(Object principal, Object credentials, List<GrantedAuthority> authorities, LoginContext loginContext)

## Method Details

### getLoginContext

public LoginContext getLoginContext()